Get a token
curl --request GET \
--url https://api.blank.build/api/v2/tokens/{mint}import requests
url = "https://api.blank.build/api/v2/tokens/{mint}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.blank.build/api/v2/tokens/{mint}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"creatorWallet": "11111111111111111111111111111111",
"currentPriceInSol": "0.00001234",
"description": "<string>",
"graduatedAt": "2023-11-07T05:31:56Z",
"imageUrl": "<string>",
"launchedAt": "2023-11-07T05:31:56Z",
"mintAddress": "11111111111111111111111111111111",
"name": "<string>",
"solCollectedInSol": "0.00001234",
"symbol": "<string>",
"totalSupply": "0.00001234"
}{
"code": "token_not_found",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 404,
"title": "Token not found",
"type": "https://blank.build/docs/reference/errors#token_not_found",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "validation_failed",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 422,
"title": "Validation failed",
"type": "https://blank.build/docs/reference/errors#validation_failed",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "rate_limit_exceeded",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 429,
"title": "Rate limit exceeded",
"type": "https://blank.build/docs/reference/errors#rate_limit_exceeded",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "internal_error",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 500,
"title": "Internal server error",
"type": "https://blank.build/docs/reference/errors#internal_error",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "token_index_unavailable",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 503,
"title": "Token index unavailable",
"type": "https://blank.build/docs/reference/errors#token_index_unavailable",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}Tokens
Get a token
Returns the public, allowlisted representation of one visible token.
GET
/
tokens
/
{mint}
Get a token
Path Parameters
Pattern:
^[1-9A-HJ-NP-Za-km-z]{32,44}$Example:
"11111111111111111111111111111111"
Response
The token resource.
Pattern:
^[1-9A-HJ-NP-Za-km-z]{32,44}$Example:
"11111111111111111111111111111111"
Pattern:
^(?:0|[1-9][0-9]*)(?:\.[0-9]*[1-9])?$Example:
"0.00001234"
Available options:
dbc, pre_raise Pattern:
^[1-9A-HJ-NP-Za-km-z]{32,44}$Example:
"11111111111111111111111111111111"
Required string length:
1 - 128Pattern:
^(?:0|[1-9][0-9]*)(?:\.[0-9]*[1-9])?$Example:
"0.00001234"
Available options:
pending, pending_launch_init, pending_escrows, pending_finalization, bonding, pre_raise_pending, pre_raising, pre_raise_settling, pre_raise_refunding, pre_raise_failed, graduating_migration_pending, graduated, graduation_failed, expired, cancelled, failed Required string length:
1 - 32Pattern:
^(?:0|[1-9][0-9]*)(?:\.[0-9]*[1-9])?$Example:
"0.00001234"
⌘I